scala.tools.nsc.interpreter

# ConsoleReaderHelper

#### trait ConsoleReaderHelper extends ConsoleReader

Linear Supertypes
ConsoleReader, AnyRef, Any
Known Subclasses
JLineConsoleReader
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsoleReaderHelper
2. ConsoleReader
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def eraseLine(): Unit

2. #### abstract def goBack(num: Int): Unit

3. #### abstract def readOneKey(prompt: String): Int

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (ConsoleReaderHelper, B)

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to ArrowAssoc[ConsoleReaderHelper] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def addCompleter(arg0: Completer): Boolean

   Definition Classes
     ConsoleReader

9. #### def addTriggeredAction(arg0: Char, arg1: ActionListener): Unit

   Definition Classes
     ConsoleReader

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def back(arg0: Int): Unit

    Attributes
      protected[scala.tools.jline.console]
    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

12. #### def backspace(): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

13. #### def beep(): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

14. #### def clearScreen(): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### def complete(): Boolean

    Attributes
      protected[scala.tools.jline.console]
    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

17. #### def currentLine: String

18. #### def currentPos: Int

19. #### final def delete(): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

20. #### final def drawLine(): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

21. #### def ensuring(cond: (ConsoleReaderHelper) ⇒ Boolean, msg: ⇒ Any): ConsoleReaderHelper

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: (ConsoleReaderHelper) ⇒ Boolean): ConsoleReaderHelper

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean, msg: ⇒ Any): ConsoleReaderHelper

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean): ConsoleReaderHelper

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

27. #### def expandEvents(arg0: String): String

    Attributes
      protected[scala.tools.jline.console]
    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def flush(): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

30. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

31. #### def getAutoprintThreshold(): Int

    Definition Classes
      ConsoleReader

32. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

33. #### def getCompleters(): Collection[Completer]

    Definition Classes
      ConsoleReader

34. #### def getCompletionHandler(): CompletionHandler

    Definition Classes
      ConsoleReader

35. #### def getCursorBuffer(): CursorBuffer

    Definition Classes
      ConsoleReader

36. #### def getEchoCharacter(): Character

    Definition Classes
      ConsoleReader

37. #### def getExpandEvents(): Boolean

    Definition Classes
      ConsoleReader

38. #### def getHistory(): History

    Definition Classes
      ConsoleReader

39. #### def getInput(): java.io.InputStream

    Definition Classes
      ConsoleReader

40. #### def getOutput(): Writer

    Definition Classes
      ConsoleReader

41. #### def getPrompt(): String

    Definition Classes
      ConsoleReader

42. #### def getTerminal(): Terminal

    Definition Classes
      ConsoleReader

43. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

44. #### def height: Int

45. #### def isBellEnabled(): Boolean

    Definition Classes
      ConsoleReader

46. #### def isHistoryEnabled(): Boolean

    Definition Classes
      ConsoleReader

47. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

48. #### def isPaginationEnabled(): Boolean

    Definition Classes
      ConsoleReader

49. #### def killLine(): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

50. #### def moveCursor(arg0: Int): Int

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

51. #### def moveToEnd(): Boolean

    Attributes
      protected[scala.tools.jline.console]
    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

52. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### final def notify(): Unit

    Definition Classes
      AnyRef

54. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

55. #### def paginate: Boolean

56. #### def paginate_=(value: Boolean): Unit

57. #### def paste(): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

58. #### final def print(arg0: CharSequence): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

59. #### def printBindings(): Unit

    Definition Classes
      ConsoleReader

60. #### def printColumns(items: List[String]): Unit

61. #### def printColumns(items: JCollection[_ <: CharSequence]): Unit

    Definition Classes
      ConsoleReaderHelper → ConsoleReader

62. #### def printSearchStatus(arg0: String, arg1: String): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

63. #### final def println(): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

64. #### final def println(arg0: CharSequence): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

65. #### final def putString(arg0: CharSequence): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

66. #### final def readCharacter(arg0: <repeated...>[Char]): Int

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

67. #### def readLine(arg0: String, arg1: Character): String

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

68. #### def readLine(arg0: String): String

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

69. #### def readLine(arg0: Character): String

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

70. #### def readLine(): String

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

71. #### final def readVirtualKey(): Int

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

72. #### final def redrawLine(): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

73. #### def removeCompleter(arg0: Completer): Boolean

    Definition Classes
      ConsoleReader

74. #### final def replace(arg0: Int, arg1: String): Boolean

    Definition Classes
      ConsoleReader

75. #### final def resetLine(): Boolean

    Attributes
      protected[scala.tools.jline.console]
    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

76. #### def resetPromptLine(arg0: String, arg1: String, arg2: Int): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

77. #### def restoreLine(arg0: String, arg1: Int): Unit

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

78. #### def searchBackwards(arg0: String, arg1: Int, arg2: Boolean): Int

    Definition Classes
      ConsoleReader

79. #### def searchBackwards(arg0: String): Int

    Definition Classes
      ConsoleReader

80. #### def searchBackwards(arg0: String, arg1: Int): Int

    Definition Classes
      ConsoleReader

81. #### def setAutoprintThreshold(arg0: Int): Unit

    Definition Classes
      ConsoleReader

82. #### def setBellEnabled(arg0: Boolean): Unit

    Definition Classes
      ConsoleReader

83. #### def setCompletionHandler(arg0: CompletionHandler): Unit

    Definition Classes
      ConsoleReader

84. #### final def setCursorPosition(arg0: Int): Boolean

    Definition Classes
      ConsoleReader
    Annotations
      @throws( classOf[java.io.IOException] )

85. #### def setEchoCharacter(arg0: Character): Unit

    Definition Classes
      ConsoleReader

86. #### def setExpandEvents(arg0: Boolean): Unit

    Definition Classes
      ConsoleReader

87. #### def setHistory(arg0: History): Unit

    Definition Classes
      ConsoleReader

88. #### def setHistoryEnabled(arg0: Boolean): Unit

    Definition Classes
      ConsoleReader

89. #### def setPaginationEnabled(arg0: Boolean): Unit

    Definition Classes
      ConsoleReader

90. #### def setPrompt(arg0: String): Unit

    Definition Classes
      ConsoleReader

91. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

92. #### def terminal: Terminal

93. #### def toString(): String

    Definition Classes
      AnyRef → Any

94. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

95. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

96. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

97. #### def width: Int

98. #### def →[B](y: B): (ConsoleReaderHelper, B)

    Implicit information
      This member is added by an implicit conversion from ConsoleReaderHelper to ArrowAssoc[ConsoleReaderHelper] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (consoleReaderHelper: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (consoleReaderHelper: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: ConsoleReaderHelper

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to ArrowAssoc[ConsoleReaderHelper] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (consoleReaderHelper: ArrowAssoc[ConsoleReaderHelper]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: ConsoleReaderHelper

   Implicit information
     This member is added by an implicit conversion from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (consoleReaderHelper: Ensuring[ConsoleReaderHelper]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from ConsoleReader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ConsoleReaderHelper to StringAdd

### Inherited by implicit conversion any2stringfmt from ConsoleReaderHelper to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ConsoleReaderHelper to ArrowAssoc[ConsoleReaderHelper]

### Inherited by implicit conversion any2Ensuring from ConsoleReaderHelper to Ensuring[ConsoleReaderHelper]

### Ungrouped